<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [getMaxShares](./bitburner.stock.getmaxshares.md)

## Stock.getMaxShares() method

Returns the maximum number of shares of a stock.

**Signature:**

```typescript
getMaxShares(sym: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sym


</td><td>

string


</td><td>

Stock symbol.


</td></tr>
</tbody></table>

**Returns:**

number

Maximum number of shares that the stock has.

## Remarks

RAM cost: 2 GB This is the maximum amount of the stock that can be purchased in both the Long and Short positions combined.

